Passer au contenu
AchaduDevelopers
API opérationnelleAller sur le site Web
Tableau de bord
Developers/API/offer_update
Offres

Offre de mise à jour

Met à jour uniquement les champs soumis.

PATCH/offers/{id}offers:write

Demande

idstring · pathIdentificateur de ressource.obligatoire
urlstring · bodyURL HTTPS d'origine du produit.facultatif
titlestring · bodyTitre public de l'offre.facultatif
marketplacestring · bodyMarché source.facultatif
pricenumber · bodyPrix actuel.facultatif
original_pricenumber · bodyPrix précédent.facultatif
currencystring · bodyMonnaie ISO 4217.facultatif
imagestring · bodyURL HTTPS de l'image.facultatif
storestring · bodyNom du magasin.facultatif
categorystring · bodyCatégorie.facultatif
couponstring · bodyCode promo.facultatif
copystring · bodyTexte éditorial de l'offre.facultatif
statusstring · bodyStatut organisé.facultatif

Exemple

curl
curl -X PATCH 'https://achadu.com/api/v1/offers/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string"
}'

Réponse

200Opération terminée
4xxErreur avec le code, le message et request_id